/********************************************************************
 *	ciwebui.h -- Web UI interfaces
 *
 *	Copyright(C) 1996, Adobe Systems Inc. All rights reserved.
 *
 * $Revision:   1.5  $
 *
 * $Author:   MuruP  $
 * $Date:   16 Oct 1996 08:51:44  $
 *	$Log:   K:/baseline/pmsdk/includes/vcs/ciwebui.hv  $
 * 
 *    Rev 1.5   16 Oct 1996 08:51:44   MuruP
 * Added a constant for defining a private Windows message.
 * 
 *    Rev 1.4   10 Oct 1996 14:39:34   MuruP
 * Derived both abstract classes from CIInterface class.
 * 
 *    Rev 1.3   17 Sep 1996 15:38:42   ThNguyen
 * Fixed bug #160150 -- Reading browser preference
 * 
 *    Rev 1.2   28 Aug 1996 11:12:52   PMBuilder
 * Changed some occurances of 'bool' back to 'BOOL' to get clean compile.
 * 
 *    Rev 1.1   27 Aug 1996 15:10:20   pnorton
 * fixed types, added vcs comments
 * 
 *    Rev 1.0   20 Jun 1996 19:47:10   NaokiH
 * Initial revision.
 * 
 * 
 *
 **********************************************************************/
#ifndef __CIWEBUI_H
#define __CIWEBUI_H

#include "PMTypes.h"

// The WM_LAUNCH_BROWSER message is defined for launching a browser and activating it properly
//	from a plug-in. This message is a PRIVATE message for PageMaker from plug-ins
#if defined (_WINDOWS)
#define WM_LAUNCH_BROWSER (WM_USER+3)
#endif

class CIWebBrowse : public CIInterface {
public:

#if defined (_WINDOWS)
virtual char* GetBrowserName() = 0;
#endif
#if defined (MACINTOSH)
virtual RC GetBrowserName(FSSpec* anFSSpec) = 0;
#endif
virtual BOOL ChooseBrowser(unsigned long hWnd) = 0;
virtual void OpenFileWithBrowser(char* docToLaunch, unsigned long hWnd, void* anFSSpec, char* browserToLaunch, void* aBrowserFSSpec) = 0;
#if defined (_WINDOWS)
virtual char* ChooseFolder(unsigned long hWnd, char* sTitle) = 0;
#endif
#if defined (MACINTOSH)
virtual char* ChooseFolder(FSSpec* anFSSpec) = 0;
#endif 
virtual void FlushBrowserPathToPref(void) = 0;
};

typedef struct PMOnlinePrefRec
{
	BOOL 			showHyperlinks;			// TRUE if hyperlinks should be shown/
	BOOL 			focusAnchors;			// TRUE if anchors should be focused
	unsigned short		proxyPort;				// proxy port 
	char			proxy[256];				// proxy
	char			noProxy[256];			// no proxy
#if defined (_WINDOWS)
	char		    downloadImgDir[260];    // location to download image
	char		   browserFile[260];    	// location to web browser
#endif
#if defined (MACINTOSH)
	FSSpec			downloadImgDir;			// location to download image
	FSSpec			browserFile;			// location to web browser
#endif	
	BOOL		fShowedCopyRightWarning; // flag if we did show the user the copy right warning
										// before downloading contents
	BOOL 		fGetBrowserPreference;  // flag if PM65 looked for browser preference
} PMOnlinePrefRec, *PMOnlinePrefRecPtr;

class CIOnlinePreference : public CIInterface
{
public:
	virtual BOOL GetOnlinePreference(PMOnlinePrefRecPtr pPrefRec)=0;
	virtual BOOL SetOnlinePreference(PMOnlinePrefRecPtr pPrefRec)=0;
};

#endif  //__CIWEBUI_H

