/************************************************************************************
 *	hcmdefs.h
 *		This file contains definitions for the HyperContentManager.
 *	
 *	Copyright:	(c) 1996 by Adobe Systems Inc., all rights reserved.
 *
 * $Revision: 3 $
 *
 *
 *
 ************************************************************************************/



#if !defined( HCMDEFS_H )
	#define HCMDEFS_H
	


	/************************************************************************************
							Public Pre-processor definitions
	************************************************************************************/
		//
		// this gets defined for WINDOWS because we are storing information in a 
		//	big-endian format (Macintosh-native).
		//
	#if defined( WINDOWS )
		#define NEEDTOBYTESWAP
	#endif /* WINDOWS */
	


	/************************************************************************************
									Name constants
	************************************************************************************/
		//
		// HyperContent strings
		//
	#define kHcmHyperContentStorageName		"HyperContent"

		// 
		// Panel data strings
		//
	#define kHcmPanelDataStreamName			"PanelData"
	
		//
		// Extras store strings
		//
	#define kHcmExtraInfoStorageName		"ExtraInfo"
	
		//
		// Reserved client content-type strings
		//
	#define kHcmContentTypeHtmlData  "HTML DATA"
	#define kHcmContentTypePdfMark  "PDFMark"
	


	/************************************************************************************
									Misc. definitions
	************************************************************************************/
		// 
		// what the maximum size of a URL string is.
		//
	#define kHcmMaxUrlSize				( 2048 * sizeof( char ) )
	
		//
		// this is the max width that a display name can be
		//
	#define kHcmMaxDisplayNameWidth		( kHcmMaxUrlSize + sizeof( unsigned int ) )
	
		//
		// this is the version we're defining
		//
	#define kHcmCurrentVersion			0
	
		//
		// special 4-char string, really means 8/27/94
		//
	#define kHcmSpecialType				'ched'
	
	#define INVAL_RID		((unsigned long)0xFFFFFFFF)


	/************************************************************************************
									Resource constants
	************************************************************************************/



	/************************************************************************************
									Content Type Constants
	************************************************************************************/
#define TYPE_NONE				0
#define TYPE_INDEX				1
#define TYPE_TOCTITLEBOOKMARK	2
#define TYPE_TOCBOOKMARK		3
#define TYPE_TOCHYPERLINK		4
#define TYPE_IXTITLEBOOKMARK	5
#define TYPE_IXBOOKMARK			6
#define TYPE_IXHYPERLINK		7


#define TYPE_HYPERLINK_END		8 // End token for a hyperlink
#define TYPE_PRIVATE_HYPERLINK	9  // Begin token for a hyperlink
#define TYPE_PRIVATE_ANCHOR		10	// token for an anchor
#define TYPE_UNKNOWN			11
#define TYPE_UNSUPPORTED		12
#define TYPE_UNUSED_TOKEN		13


#endif /* HCMDEFS_H */
