/*
 *--- PageMakerMemory.h ----------------------------------------------------
 *	Copyright (C) 1988-96 Adobe Systems Inc.  All rights reserved.
 *
 *	This file contains the PageMaker memory manager interface for both the
 *	Mac OS and Windows 95 environments.  These are wrapper functions that
 *  you can use in your PageMaker plug-in source code to provide easy
 *	cross-platform support for callbacks.
 *
 * $Revision:   1.1  $
 *
 * $Author:   pnorton  $
 * $Date:   27 Aug 1996 15:16:46  $
 * $Log:   U:/pmsdk/includes/vcs/pmmemory.hv  $
 * 
 *    Rev 1.1   27 Aug 1996 15:16:46   pnorton
 * added vcs comments
 *
 *--------------------------------------------------------------------------
 */
#ifndef __PageMakerMemory__
#define __PageMakerMemory__

#include <stdlib.h>			// For calloc() & free() prototypes
#include "PMTypes.h"

#ifdef __cplusplus			// All function prototypes are "C" based
	extern "C" {
#endif

// These are for handle based memory allocation
PMHandle	MMAlloc(size_t sz);
void 		MMFree(PMHandle h);
void *		MMLock(PMHandle h);
void		MMUnlock(PMHandle h);
bool		MMIsLocked(PMHandle h);
PMErr		MMResizeHandle(PMHandle * h, size_t sz);

#ifdef __cplusplus
}
#endif

#endif	// __PageMakerMemory__

// end of PageMakerMemory.h

