/*
 *--- PDeleteLayer.cpp -------------------------------------------------
 * Copyright (c) 1995-97 Adobe Systems Incorporated.  All rights reserved.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PDeleteLayer.html
 *-------------------------------------------------------------------------
 */

#include "PDeleteLayer.h"
#include "PRequestBuf.h"

#include "PCommand.h"

// Delete the layer, move the objects
PDeleteLayer::PDeleteLayer( const char * sNameFrom, const char * sNameTo )
{ 
	PRequestBuf request( strlen( sNameFrom ) + strlen( sNameTo ) + 4);
	
	request << sNameFrom << sNameTo;
	
	PCommand command( pm_deletelayer, request );
}

// Delete the layer, delete the objects.
PDeleteLayer::PDeleteLayer( const char * sNameFrom )
{
	PRequestBuf request( strlen( sNameFrom ) + 4);
	
	request << sNameFrom << "";
	
	PCommand command(pm_deletelayer, request);
}
// end of PDeleteLayer.cpp
