/*--PFrameInset.cpp----------------------------------------------
 * Copyright (c) 1997, Adobe Systems Inc. All rights reserved.
 *
 *---------------------------------------------------------------
 */

#include "PFrameInset.h"
#include "PCommand.h"
#include "PRequestBuf.h"

const size_t REQUEST_SIZE = 16;

// All for insets are specified separately
PFrameInset::PFrameInset( long nTop, long nLeft, long nBottom, long nRight )
{
	PRequestBuf request( REQUEST_SIZE );

	request << nTop
			<< nLeft
			<< nBottom
			<< nRight;

	PCommand( pm_frameinset, request );

}

// Insets specified in pairs
PFrameInset::PFrameInset( long topBottom, long leftRight )
{
	PRequestBuf request( REQUEST_SIZE );

	request << topBottom
			<< leftRight
			<< topBottom
			<< leftRight;

	PCommand( pm_frameinset, request );

}

// 1 inset all the way around.
PFrameInset::PFrameInset( long allAround )
{
	PRequestBuf request( REQUEST_SIZE );

	request << allAround
			<< allAround
			<< allAround
			<< allAround;

	PCommand( pm_frameinset, request );
	 
}
