/*
 *--- PNewLayer.cpp --------------------------------------------------------
 * Copyright (c) 1995-97 Adobe Systems Incorporated.  All rights reserved.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PNewLayer.html
 *-------------------------------------------------------------------------
 */

#include "PNewLayer.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PNewLayer::PNewLayer(
				const char 	* sLayerName,
				short		 nShow,
				short		 nLock,
				short		 nColorIndex)

{
	PRequestBuf request(strlen(sLayerName)  + 8);
	
	request 	<<	sLayerName
				<<	nShow
				<<	nLock
				<<	nColorIndex;

	PCommand command(pm_newlayer, request);
}


PNewLayer::PNewLayer(
				const char 	* sLayerName,
				short		 nShow,
				short		 nLock,
				long		 lRed,
				long		 lGreen,
				long		 lBlue)

{
	PRequestBuf request(strlen(sLayerName)  + 18);
	
	request 	<<	sLayerName
				<<	nShow
				<<	nLock
				<< 	lRed
				<<	lGreen
				<<	lBlue;

	PCommand command(pm_newlayer, request);
}

// end of PNewLayer.cpp
