/*
 *--- PCallback.cpp -------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 9:41 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * header file PCallback.h
 *-------------------------------------------------------------------------
 */
#include "PMPlugin.h"

#ifdef MACINTOSH
#include <exception.h>
#else
#include <eh.h>
#endif

#include "PMCQErrs.h"

#include "PCallback.h"


extern sPMParamBlockPtr gPB;


/*------------- our static member data-*/
PMErr PCallback::sLastError = CQ_SUCCESS;
PMBool PCallback::sGenerateExceptions = true;


PCallback::PCallback()
{
	itsPB = gPB;		// Make local reference to global param block
}


void PCallback::CallPageMaker() throw (PMErr)
{
// a PageMaker plug-in should always save the port and restore it after a command or
// query is sent to PageMaker.

#ifdef MACINTOSH
		GrafPtr currentPort;
		GetPort( &currentPort );
#endif

	PMErr rc = itsPB->pmCallback(itsPB);
	sLastError = rc;

// The port is set back after PageMaker has returned control to the plug-in
#ifdef MACINTOSH
		SetPort( currentPort );
#endif

	if ( sGenerateExceptions == true && rc != CQ_SUCCESS )
	{
		throw rc;
	}
}

// end of PCallback.cpp
