/*
 *--- PCallback.h ---------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 9:41 PM by Paul Ferguson.
 *
 * Description:
 *-------------------------------------------------------------------------
 */
#ifndef __PCallback__
#define __PCallback__

#ifdef __MWERKS__
#pragma once
#endif

#include "PMTypes.h"

class PCallback
{
public:

	static PMErr	LastError() { return sLastError; }
	static void		GenerateExceptions(PMBool doGenerate)
						{ sGenerateExceptions = doGenerate; }
	static PMBool	IsGenerateExceptions() { return sGenerateExceptions; }

	static void		PreservePort( PMBool doPreserve) { sPreservePort = doPreserve; }
	static PMBool	IsPreservePort() { return sPreservePort; }

protected:

	PCallback();

	void			CallPageMaker();		// issue PageMaker callback
	sPMParamBlockPtr itsPB;

private:
	static PMErr	sLastError;
	static PMBool	sGenerateExceptions;

	static PMBool	sPreservePort;

	// This class and its subclasses should never be copied.
	PCallback(PCallback&);
	PCallback& operator=(const PCallback&);
};

#endif

// end of PCallback.h
