/*----PaletteEvents.cpp----------------------------------------
 * This file contains the platform specific information for 
 *  the DoSysEvents method.
 *
 * Copyright (c) 1997, Adobe Systems, Inc. All rights reserved.
 *--------------------------------------------------------------
 */

#include <windows.h>
#include <windowsx.h>
#include "FontPalette.h"
#include "PaletteEvents.h"
#include "PMEvent.h"
#include "Resource.h"
#include "PCL.h"

extern PMMessage	*gPMMessage;
extern HINSTANCE	thisDll;
HWND hSubWindow;

int DisplayDialog(HWND hDlg, UINT wMsg, WPARAM wParam, LPARAM lParam);

void FontPalette::PaletteEvents()
{
	PMSysEvent *theSysEvent = (PMSysEvent *) gPMMessage->pPMData;
	RECT windowRect;

	CIPMWindow	*thePalette = theSysEvent->thePMWindow;
	
		
	switch (theSysEvent->message)
	{
	case WM_CREATE:
		{	
			RECT rc;
			HFONT hDialogFont;
			HDC hDC;
			int nTabStops[2];

			GetClientRect( theSysEvent->hWnd, &windowRect );
			SetWindowText( theSysEvent->hWnd, "Font Usage" );

			hSubWindow = CreateDialog(thisDll, MAKEINTRESOURCE( IDD_SUB_DIALOG), theSysEvent->hWnd, (DLGPROC) DisplayDialog); 
			GetWindowRect(hSubWindow, &rc);

			hDC = GetDC(hSubWindow);

			hDialogFont = CreateFont( -MulDiv(8, GetDeviceCaps(hDC, LOGPIXELSY), 72), 
									0, 0, 0, 0, 0, 0, 0, DEFAULT_CHARSET, OUT_DEFAULT_PRECIS, 
									CLIP_DEFAULT_PRECIS, DEFAULT_QUALITY, DEFAULT_PITCH | FF_SWISS, 
									"MS Sans Serif" ); 

			ReleaseDC(hSubWindow, hDC);


 			if(hDialogFont)
			{
				SendMessage(hSubWindow, WM_SETFONT,  (WPARAM)hDialogFont, MAKELPARAM(TRUE, 0));
			}

			nTabStops[0] = 145;
			nTabStops[1] = 250;

			SendDlgItemMessage(hSubWindow, IDC_FACE_LIST, LB_SETTABSTOPS, 2, (LPARAM)nTabStops);
			
			MoveWindow( theSysEvent->hWnd, rc.left, rc.top, rc.right - rc.left, rc.bottom - rc.top, TRUE );
			SendDlgItemMessage(hSubWindow, IDC_FACE_LIST, LB_ADDSTRING, 0, (LPARAM)"Not selected");

			theSysEvent->wasHandled = TRUE;
			break; 
		}

	case WM_COMMAND:
		{	
			short	notifyCode = HIWORD(theSysEvent->wParam);
			if ( notifyCode == BN_CLICKED )
			{ 
//				listIndex = ListBox_GetCurSel(colorList);
//				ListBox_GetText(colorList,listIndex,tempColorString);

//				PColor(tempColorString, 1000);
				theSysEvent->wasHandled = TRUE;
			}
			else
				theSysEvent->wasHandled = FALSE;
			break;
		}
	case WM_PAINT:
		{
			HDC hdc;
			PAINTSTRUCT ps;
			GetClientRect( theSysEvent->hWnd, &windowRect );

			hdc = BeginPaint(theSysEvent->hWnd, &ps);
			SetBkColor( hdc, GetSysColor( COLOR_BTNFACE ) );
			//TextOut( hdc, windowRect.left + 25, windowRect.top + 40, "Color:", 6 );
			EndPaint(theSysEvent->hWnd, &ps);

			theSysEvent->wasHandled = TRUE;
			break;
		}
	case WM_CLOSE:
		{
			thePalette->Hide();
			theSysEvent->wasHandled = TRUE;
			break;
		}
	default:
		theSysEvent->wasHandled = FALSE;
		break;
	}
}

int DisplayDialog(HWND hDlg, UINT wMsg, WPARAM wParam, LPARAM lParam)
{
	switch (wMsg)
	{
	case WM_INITDIALOG:
		return false;

	case WM_COMMAND:
		break;

	default:
		return false;
		break;
	}
	return true;
}

