/*---OpenPubCopy.cpp--------------------------------------------------
 * Copyright (c) 1997 Adobe Systems, Inc. All rights reserved.
 *
 * This contains the platform specific code for opening a copy of 
 * a PageMaker publication. 
 *
 *---------------------------------------------------------------------
 */

/*----------------------- SDK include files-----------------*/
#include "PMPlugin.h"
#include "CIInterfaceManager.h"
#include "PMEvent.h"
#include "PMEventRec.h"
#include "CIBasic.h"
#include "PMInterfaceIDs.h"
#include "CICommandsAndQueries.h"

/*----------------------- plug-in include files -------------*/
#include "OpenCopy.h"
#include "PCL.h"

/*----------------------- Platform include files ------------*/
#include <windows.h>

void OpenPubCopy(void)
{
	PMBool gotFileName;
	char destinationPath[91];
	PMBool copy = TRUE;
	char buffer[300];
	char *bufferPtr = buffer;
	unsigned long bufferSize = 0;
	unsigned long flags;
	
	OPENFILENAME openPubName;

	char	filter[255];
	char	defaultExtension[12];
	char	*path = NULL;

	strcpy(filter, "PageMaker Publication (*.pmd)!*.pmd!PageMaker Template (*.pmt)!*.pmt!!");
	for ( short i = 0; filter[i]; i++ )
		if ( filter[i] == '!' )
			filter[i] = 0;
	
	strcpy(destinationPath, "");
	strcpy(defaultExtension, "pmd");
	flags = OFN_HIDEREADONLY | OFN_FILEMUSTEXIST | OFN_PATHMUSTEXIST | OFN_EXPLORER | OFN_ENABLEHOOK;

	ZeroMemory( &openPubName, sizeof(openPubName) );
	openPubName.lStructSize = sizeof(openPubName);
	openPubName.hwndOwner = GetActiveWindow();
	openPubName.lpstrFilter = filter;
	openPubName.lpstrCustomFilter = NULL;
	openPubName.nMaxCustFilter = 0;
	openPubName.nFilterIndex = 1;
	openPubName.lpstrFile = destinationPath;
	openPubName.nMaxFile = 300;
	openPubName.lpstrTitle = "My Open Dialog Box";
	openPubName.Flags = flags;
	openPubName.lpstrInitialDir = NULL;
	openPubName.lpstrDefExt = defaultExtension;

	gotFileName = GetOpenFileName( &openPubName );

	if ( gotFileName )
	{
		POpen(destinationPath, copy);		
	}
}
