/*----PaletteEvents.cpp----------------------------------------
 * This file contains the platform specific information for 
 *  the DoSysEvents method.
 *
 * Copyright (c) 1997, Adobe Systems, Inc. All rights reserved.
 *--------------------------------------------------------------
 */

#include <windows.h>
#include <windowsx.h>
#include "NewPalette.h"
#include "PaletteEvents.h"
#include "PMEvent.h"
#include "PCL.h"
#include "resource.h"

extern	PMMessage	*gPMMessage;
extern	HINSTANCE	thisDll;
HWND	hColorerPalette;

int DisplayDialog(HWND hDlg, UINT wMsg, WPARAM wParam, LPARAM lParam);

void NewPalette::PaletteEvents()
{
	PMSysEvent *theSysEvent = (PMSysEvent *) gPMMessage->pPMData;
	RECT	windowRect;
	RECT	palRect;

	static HWND applyButton;
	static HWND colorList;
	static HWND colorText;

	char tempColorString[STRINGMAX];


	CIPMWindow	*thePalette = theSysEvent->thePMWindow;
	
		
	switch (theSysEvent->message)
	{
	case WM_CREATE:
		{	
			GetClientRect( theSysEvent->hWnd, &windowRect );
			SetWindowText( theSysEvent->hWnd, "Colorer Palette" );
			
			hColorerPalette = CreateDialog( thisDll, MAKEINTRESOURCE( IDD_PALETTE	), theSysEvent->hWnd, (DLGPROC) DisplayDialog);
			GetWindowRect( hColorerPalette, &palRect );


			PGetColorNames colorNames;
			colorNames.Reset();
			for(int i = 0; i<colorNames.Count(); i++)
			{
				strncpy( tempColorString, colorNames, strlen(colorNames) + 1 );
				SendDlgItemMessage(hColorerPalette, IDC_COLORLIST, LB_ADDSTRING, 0, (unsigned long)(char *)tempColorString);
				colorNames++;
			}
			SendDlgItemMessage(hColorerPalette, IDC_COLORLIST, LB_SETCURSEL, 0, 0);
			MoveWindow( theSysEvent->hWnd, palRect.left, palRect.top, palRect.right - palRect.left, 
											palRect.bottom - palRect.top, TRUE );
		
			theSysEvent->wasHandled = TRUE;
			break; 
		}
	
	case WM_PAINT:
		{
			HDC hdc;
			PAINTSTRUCT ps;
			GetClientRect( theSysEvent->hWnd, &windowRect );

			hdc = BeginPaint(theSysEvent->hWnd, &ps);
			SetBkColor( hdc, GetSysColor( COLOR_BTNFACE ) );
			//TextOut( hdc, windowRect.left + 25, windowRect.top + 40, "Color:", 6 );
			EndPaint(theSysEvent->hWnd, &ps);

			theSysEvent->wasHandled = TRUE;
			break;
		}
	case WM_CLOSE:
		{
			thePalette->Hide();
			theSysEvent->wasHandled = TRUE;
			break;
		}
	default:
		theSysEvent->wasHandled = FALSE;
		break;
	}
}

int DisplayDialog(HWND hDlg, UINT wMsg, WPARAM wParam, LPARAM lParam)
{
	char tempColorString[STRINGMAX];

	switch (wMsg)
	{
	case WM_INITDIALOG:
		return false;

	case WM_COMMAND:
		{	
			int	listIndex;
			short	notifyCode = HIWORD(wParam);
			if ( notifyCode == BN_CLICKED )
			{ 
				listIndex = SendDlgItemMessage(hColorerPalette, IDC_COLORLIST, LB_GETCURSEL, 0, 0);
				SendDlgItemMessage( hColorerPalette, IDC_COLORLIST, LB_GETTEXT, listIndex, (long)&tempColorString);

				PColor(tempColorString, 1000);
				return true;
			}
			else
				return false;
			break;
		}

	default:
		return false;
		break;
	}
	return true;
}